<nz-spin nzTip="Loading..." [nzSpinning]="isLoading" *ngIf="isEntity || (!isEntity && bio)">
  <nz-card style="margin-bottom: 10px; width: 100%" nzTitle='{{ "Entity.Components.aboutMe" | translate }}' [nzExtra]="extraTemplate" nzSize="small">
    <p *ngIf="showEditBio == false" style="font-size: 15px; font-weight: 600">
      {{ bio }}
    </p>
    <textarea *ngIf="showEditBio == true" rows="4" nz-input [(ngModel)]="bio"></textarea>
    <div style="text-align: right; margin-right: 10px; margin-top: 5px">
      <button *ngIf="showEditBio == true" (click)="updateBio()" nz-button nzShape="round" nzType="primary">
        {{ "Common.Buttons.Update" | translate }}
      </button>
    </div>
  </nz-card>
  <ng-template #extraTemplate>
    <a style="font-size: 15px" *ngIf="isEntity" (click)="showEditBio = true">{{ "Common.Buttons.Edit" | translate }}</a>
  </ng-template>
</nz-spin>